Subject: bug#18410: Use SAFE_ALLOCA etc. to avoid unbounded stack allocation.

From: Paul Eggert <[email-masked]>
Date: Sun, 07 Sep 2014 19:38:17 -0700

Stefan Monnier wrote:
> MAX_ALLOCA is chosen small so that we can allocate several/many objects
> of size MAX_ALLOCA.

That's one reason, but another is that stack-overflow checking often 
relies on guard pages.  If we blindly increase MAX_ALLOCA (or some 
variant of it, just for call-process) Emacs could bypass stack-overflow 
checking, resulting in behavior that could be worse than simply dumping 
core.

If I understand things correctly, Dmitry's recent stack-overflow changes 
don't affect this, as they don't deal with the guard-page region size.